SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL,ALLOW_INVALID_DATES';

CREATE TABLE IF NOT EXISTS `roulette_rate` (
  `id` INT(11) NOT NULL AUTO_INCREMENT,
  `rid` INT(11) NULL DEFAULT NULL,
  `type` INT(11) NULL DEFAULT NULL,
  `cost` INT(11) NULL DEFAULT NULL,
  `user_id` INT(11) NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  INDEX `uid` (`user_id` ASC))
ENGINE = MyISAM
DEFAULT CHARACTER SET = utf8
COLLATE = utf8_general_ci;

ALTER TABLE `user` 
ADD COLUMN `roulette_rating` INT(11) NULL DEFAULT 0 AFTER `add_konts`;

CREATE TABLE IF NOT EXISTS `roulette_log` (
  `id` INT(11) NOT NULL AUTO_INCREMENT,
  `user_id` INT(11) NULL DEFAULT NULL,
  `cwin` INT(11) NULL DEFAULT NULL,
  `close` INT(11) NULL DEFAULT NULL,
  `bwin` INT(11) NULL DEFAULT NULL,
  `blose` INT(11) NULL DEFAULT NULL,
  `created` INT(11) NULL DEFAULT NULL,
  `int` INT(11) NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  INDEX `uid` (`user_id` ASC))
ENGINE = MyISAM
DEFAULT CHARACTER SET = utf8
COLLATE = utf8_general_ci;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
